<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateVendorsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('vendors', function (Blueprint $table) {

            $table->increments('id');
            $table->unsignedInteger('branch_id')->nullable();

            // $table->unsignedInteger('user_id')->nullable();
            
            // VENDOR AREA
            $table->string('code')->nullable();
            $table->string('vendor_name')->nullable();
            $table->string('ntn_number')->nullable();

            // VENDER PERSON INFO
            $table->string('person_name')->nullable();
            $table->string('cnic')->nullable();
            $table->string('contact')->nullable();
            $table->string('photo')->nullable();

            $table->enum('status', ['Active','Deactive'])->default('Active');
            $table->enum('is_recycle', ['0','1','2'])->default('0');

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('vendors');
    }
}
